# schildichat-web

![Version: 1.2.0](https://img.shields.io/badge/Version-1.2.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: latest](https://img.shields.io/badge/AppVersion-latest-informational?style=flat-square)

Matrix client / Element Web/Desktop fork

**Homepage:** <https://schildi.chat/>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <https://github.com/SchildiChat/element-web/pkgs/container/schildichat-web>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| configjson.brand | string | `"SchildiChat"` |  |
| configjson.defaultCountryCode | string | `"GB"` |  |
| configjson.default_federate | bool | `true` |  |
| configjson.default_theme" | string | `"light"` |  |
| configjson.disable_3pid_login | bool | `false` |  |
| configjson.disable_custom_urls | bool | `false` |  |
| configjson.disable_guests | bool | `false` |  |
| configjson.disable_login_language_selector | bool | `false` |  |
| configjson.enable_presence_by_hs_url."https://matrix-client.matrix.org" | bool | `false` |  |
| configjson.enable_presence_by_hs_url."https://matrix.org" | bool | `false` |  |
| configjson.integrations_rest_url | string | `"https://scalar.vector.im/api"` |  |
| configjson.integrations_ui_url | string | `"https://scalar.vector.im/"` |  |
| configjson.integrations_widgets_urls[0] | string | `"https://scalar.vector.im/_matrix/integrations/v1"` |  |
| configjson.integrations_widgets_urls[1] | string | `"https://scalar.vector.im/api"` |  |
| configjson.integrations_widgets_urls[2] | string | `"https://scalar-staging.vector.im/_matrix/integrations/v1"` |  |
| configjson.integrations_widgets_urls[3] | string | `"https://scalar-staging.vector.im/api"` |  |
| configjson.jitsi.preferredDomain | string | `"meet.jit.si"` |  |
| configjson.roomDirectory.servers[0] | string | `"matrix.org"` |  |
| configjson.settingDefaults.breadcrumbs | bool | `true` |  |
| configjson.showLabsSettings | bool | `true` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"ghcr.io/schildichat/schildichat-web"` |  |
| image.tag | string | `"latest@sha256:a87f572878059851c38e0b18f5548aea8f3fbff744c09efe17d5cb06e5aa5cb2"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths | list | `[]` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `80` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
